Documentation Index
Fetch the complete documentation index at: https://mint-a324815e.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
查询地址是否为项目内部地址
接入API
POST /api/v1/address/inner
校验地址是否为对应项目的地址,可在订单发起后,对返回的地址信息进行校验,防止地址被篡改
请求参数
| 名称 | 类型 | 是否必须 | 描述 |
|---|
| pid | integer(int64) | 是 | 项目编号 |
| address | string | 是 | 地址 |
| chain_id | string | 是 | 链编号 |
| nonce | string | 是 | 6位随机字符串 |
| timestamp | integer(int64) | 是 | 时间戳 |
| sign | string | 是 | 签名 |
请求示例
{
"pid": 1382528827416576,
"address": "TXsmKpEuW7qWnXzJLGP9eDLvWPR2GRn1FS",
"chain_id": "195",
"nonce": "tvccuh",
"timestamp": 1687849472174,
"sign": "48036043999446485fe0d20a838a00dc"
}
返回结果
| 名称 | 类型 | 描述 |
|---|
| code | string | 返回码 |
| msg | string | 返回信息 |
| data | object | 返回数据 |
返回data对象
| 名称 | 类型 | 描述 |
|---|
| result | boolean | true:地址是项目内地址 false: 地址不是项目内部地址 |
返回示例
{
"code": "00000",
"msg": "ok",
"data": {
"result": false
}
}